Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBBase

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBBase

Direct Known Subclasses:
  DBAccount, DBAppData, DBApplication, DBAppTable, DBContentIdentifier, DBInbox, DBKeyPair, DBLocalPrivileges, DBMessageBoard, DBPendingMessage, DBPrivilege, DBProject, DBRegisterInfo, DBRegisterPending, DBRemoteAccount, DBSession, DBSystem, DBUser, DBUserDelegations

public abstract class DBBase
extends Object

Field Summary
`protected List` | `createListeners`
`static Map` | `dbBases`
`protected List` | `deleteListeners`
`static SimpleDateFormat` | `fileDateFormat`
`protected boolean` | `restored`

Constructor Summary
`DBBase()`

Method Summary
`void` | `addCreateListener(CreateListener createListener)`
`void` | `addDeleteListener(DeleteListener deleteListener)`
`protected void` | `addKey(Object key, DBRow row)`
`void` | `backup(DataOutputStream dos)`
`void` | `backup(String fileNamePrefix, Date d)`
`void` | `backupString(DataOutputStream dos, String value)`
`void` | `clearRef()`
`DBRow` | `create(ResultSet rs)`
`static Date` | `createCurrentDate()`
`abstract DBRow` | `createObj(ResultSet rs)`
`abstract void` | `createTable()`
`protected void` | `createTable(String query)`
`protected void` | `deleteWeak(DBRow row)`
`protected int` | `executeUpdate(String update)`
`protected DBRow` | `getRow(String query)`
`List` | `getRows(DBQualifier q)`
`protected List` | `getRows(String query)`
`protected DBRow` | `getWeak(Object key)`
`void` | `removeCreateListener(CreateListener createListener)`
`void` | `removeDeleteListener(DeleteListener deleteListener)`
`void` | `restore(String fileNamePrefix)`
`void` | `restore(String fileNamePrefix, DataInputStream dis)`
`String` | `restoreString(DataInputStream dis)`
`void` | `sendCreateEvent(DBRow row)`
`void` | `sendDeleteEvent(DBRow row)`
`abstract String` | `tableName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dbBases

    public static Map dbBases

### fileDateFormat

    public static final SimpleDateFormat fileDateFormat

### restored

    protected boolean restored

### deleteListeners

    protected final List deleteListeners

### createListeners

    protected final List createListeners

Constructor Detail

### DBBase

    public DBBase()

Method Detail

### clearRef

    public final void clearRef()

### tableName

    public abstract String tableName()

### createCurrentDate

    public static Date createCurrentDate()

### addDeleteListener

    public final void addDeleteListener(DeleteListener deleteListener)

### removeDeleteListener

    public final void removeDeleteListener(DeleteListener deleteListener)

### sendDeleteEvent

    public final void sendDeleteEvent(DBRow row)
                               throws Exception

### addCreateListener

    public final void addCreateListener(CreateListener createListener)

### removeCreateListener

    public final void removeCreateListener(CreateListener createListener)

### sendCreateEvent

    public final void sendCreateEvent(DBRow row)
                               throws Exception

### restore

    public void restore(String fileNamePrefix)
                 throws Exception

### restore

    public void restore(String fileNamePrefix,
                        DataInputStream dis)
                 throws Exception

### restoreString

    public String restoreString(DataInputStream dis)
                         throws Exception

### backup

    public void backup(String fileNamePrefix,
                       Date d)
                throws Exception

### backup

    public void backup(DataOutputStream dos)
                throws Exception

### backupString

    public void backupString(DataOutputStream dos,
                             String value)
                      throws Exception

### createTable

    public abstract void createTable()
                              throws Exception

### createTable

    protected final void createTable(String query)
                              throws Exception

### executeUpdate

    protected final int executeUpdate(String update)
                               throws Exception

### getRow

    protected final DBRow getRow(String query)
                          throws Exception

### addKey

    protected final void addKey(Object key,
                                DBRow row)

### deleteWeak

    protected final void deleteWeak(DBRow row)

### getWeak

    protected final DBRow getWeak(Object key)

### getRows

    protected final List getRows(String query)
                          throws Exception

### create

    public final DBRow create(ResultSet rs)
                       throws Exception

### createObj

    public abstract DBRow createObj(ResultSet rs)
                             throws Exception

### getRows

    public final List getRows(DBQualifier q)
                       throws Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD